Subject: bug#13848: Statically linking guile-2.0.

From: [email-masked]
Date: Mon, 11 Mar 2013 02:43:31 +0100

Ok, another build that got a little further. Again, after putting my two timespec definitions in.

The next GUILEC to fail is this one, happens regardless of whether posix is enabled or disabled in configure:

  GUILEC scripts/autofrisk.go
Backtrace:
In ice-9/psyntax.scm:
1101: 19 [expand-top-sequence ((define (unglob pattern) (let # #))) () ...]
1259: 18 [#<procedure 2205150 at ice-9/psyntax.scm:1067:36 ()>]
1605: 17 [expand-simple-lambda (# . #) () (()) ...]
1509: 16 [parse (((# #) . #(syntax-object # # #))) () () () () () ()]
In ice-9/boot-9.scm:
 627: 15 [map #<procedure 223e8d0 at ice-9/psyntax.scm:1510:50 (x)> ((# . #))]
In ice-9/psyntax.scm:
2114: 14 [expand-let (let # #) (# #) (# # #) ...]
In ice-9/boot-9.scm:
 627: 13 [map #<procedure 223ab20 at ice-9/psyntax.scm:2114:49 (x)> (#)]
In ice-9/psyntax.scm:
1257: 12 [#<procedure 223ab20 at ice-9/psyntax.scm:2114:49 (x)> (open-input-pipe #)]
1186: 11 [syntax-type (open-input-pipe #) (# #) (# # #) ...]
 579: 10 [syntax-type open-input-pipe (# #) (# # #) ...]
 292: 9 [get-global-definition-hook open-input-pipe (hygiene scripts autofrisk)]
In unknown file:
   ?: 8 [module-variable #<directory (scripts autofrisk) 2184d80> open-input-pipe]
In ice-9/boot-9.scm:
2790: 7 [b #<autoload (ice-9 popen) 2216d80> open-input-pipe #f]
2579: 6 [#<procedure 1d05530 at ice-9/boot-9.scm:2567:4 (name #:optional autoload version #:key ensure)> # ...]
2850: 5 [try-module-autoload (ice-9 popen) #f]
2191: 4 [save-module-excursion #<procedure 223e7e0 at ice-9/boot-9.scm:2851:17 ()>]
2870: 3 [#<procedure 223e7e0 at ice-9/boot-9.scm:2851:17 ()>]
In unknown file:
   ?: 2 [primitive-load-path "ice-9\\popen" ...]
   ?: 1 [load-extension "libguile-2.0" "scm_init_popen"]
In ice-9/boot-9.scm:
 106: 0 [#<procedure 200ace0 at ice-9/boot-9.scm:97:6 (thrown-k . args)> misc-error ...]

ice-9/boot-9.scm:106:20: In procedure #<procedure 200ace0 at ice-9/boot-9.scm:97:6 (thrown-k . args)>:
ice-9/boot-9.scm:106:20: In procedure dynamic-link: file: "libguile-2.0", message: "The specified module could not be found."
make[3]: *** [scripts/autofrisk.go] Error 1
make[3]: Leaving directory `/c/Users/shookie/guiletest/lib/guile-2.0/module'
make[2]: *** [install-recursive] Error 1
make[2]: Leaving directory `/c/Users/shookie/guiletest/lib/guile-2.0'
make[1]: *** [install] Error 2
make[1]: Leaving directory `/c/Users/shookie/guiletest/lib/guile-2.0'
make: *** [lib/lib/libguile-2.0.a] Error 2

On 10.03.2013, at 23:53, Andy Wingo <[email-masked]> wrote:

> On Sun 10 Mar 2013 23:03, [email-masked] writes:
> 
>> Ok, came pretty far, but then, during the GUILEC phase it started
>> complaining that "poll" is not available, poll.go was't created then,
>> and finally it failed to install poll.go
> 
> Strange.  There are a few ways to work around this I guess but I ended
> up importing the gnulib `poll' module, which will provide `poll' on
> mingw.
> 
> Here's a new tarball:
> 
>  http://wingolog.org/priv/guile-2.0.7.187-b5870.tar.gz
> 
> I wonder about your compile slowness.  Could it be that somehow Guile is
> not using the .go files that it is compiling?  Normally the compile
> should be slow at the beginning, but as the bootstrap progresses, things
> speed up.  I'm sure you've seen that when building on GNU/Linux.  Do you
> not see that on your mingw build?
> 
> It sounds like we're getting really close :)
> 
> Andy
> -- 
> http://wingolog.org/